# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Pull funds from an external account into a virtual account (PayInto Collection) ## Overview A PayInto Collection transaction, also known as an Issued Direct Debit Transfer (IDDT), enables you to transfer funds from a counterparty's Demand Deposit Account (DDA) to a Virtual Transaction Account (VTA) in your J.P. Morgan Wallet™ program. It is called "PayInto Collection" because you "collect" funds from a counterparty and "pay into" your Wallet program. For an overview of payment types in Wallet, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases The following are examples of use cases where you might execute a PayInto Collection transaction: - Merchant services platform: Needs to collect monthly fees from its merchants. Every month, the platform executes a PayInto Collection transaction to transfer funds from its merchants to its revenue VTA. - Video game company: Needs to collect subscription fees from its players. Every subscription period, the company executes a PayInto Collection transaction to transfer funds from its players to its revenue VTA. - Marketplace platform: Needs to collect fees for premium features from its sellers. When a seller buys a premium feature, the platform executes a PayInto Collection transaction to transfer funds from the seller to its revenue VTA. ### Key information The following table describes important information about PayInto Collection. **Key information for PayInto Collection** | Production endpoint | v3.x: Not supported | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/direct-debits/advanced-batch | | --- | --- | --- | | Client testing endpoint | v3.x: Not supported | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/direct-debits/advanced-batch | | API reference | v3.x: N/A | v2.x: [Initiate one or more PayIntoCollections](/api/treasury/jp-morgan-wallet/doc-2#/operations/directDebitTransctions) | | Supported branches | - J.P. Morgan Chase Bank, New York branch and affiliated US branches - J.P. Morgan Chase Bank, Luxembourg and London branches (See [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | USD and EUR (see [Reference - Supported account currencies by branch](/docs/treasury/jp-morgan-wallet/reference#supported-account-currencies-by-branch)) | | Supported account types | Demand Deposit Account (DDA) | | Payment type | PayInto Collection | | Payment flows | - Domestic, same currency: USD to USD, EUR to EUR - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: Not supported - Cross-border, FX: Not supported | | Transaction limit | - US ACH: No default limit - EU SEPA: €999,999,999.99 | | Cut-off time | - US ACH: 2:00pm ET on business days - EU SEPA: 2:00pm local time on business days | | Settlement period | - US ACH: 1-2 business days - EU SEPA: 2 business days | | Returns, recalls, and reversals | - US ACH: Supports returns initiated within two business days of the transaction settlement date. - EU SEPA: Supports returns initiated within eight weeks of the transaction settlement date. | | Service level code | - US ACH: Set serviceLevel.code to NURG - EU SEPA: Set serviceLevel.code to SEPA | ### Prerequisites Before you can execute PayInto Collection transactions, you must configure your Wallet program for PayInto Collection. For more information, ask your J.P. Morgan representative. ### Reporting PayInto Collection transactions appear on your daily **TRANSACTION ACTIVITY** reports. The following table is an example of what a PayInto Collection transaction on a **TRANSACTION ACTIVITY** report might look like. **TRANSACTION ACTIVITY report example** | CLIENT ID | 0001318690 | | --- | --- | | PROGRAM ID | 1000000003 | | BUSINESS PROCESSING DATE | 3/11/2026 | | BANK NAME | JPM New York | | WALLET DDA NUMBER | XXXXXXXXXX | | WALLET CURRENCY | USD | | RECEIVED DATE | 6/21/2021 | | REQUESTED VALUE DATE | 3/10/2026 | | VALUE DATE | 3/11/2026 | | CLIENT TXN ID | fTt6WB55Y5 | | TXN TYPE | PAYINTOCOLLECTION | | DEBTOR ACCOUNT | XXXXXXXXXX | | DEBTOR NAME | HERBLIFE | | DEBTOR AGENT | JPMORGAN CHASE BANK N.A. | | DEBTOR AGENT ID | CHASUS33XXX | | DEBIT AMOUNT | 0.13 | | DEBIT CURRENCY | USD | | CREDITOR ACCOUNT | XXXXXXXXXX | | CREDITOR NAME | Global Trade/Finance Corp | | CREDITOR VIRTUAL ACCOUNT | DEMO-VTA-05 | | ULTIMATE CREDITOR NAME | ulCRName | | CREDITOR AGENT | JPMORGAN CHASE BANK N.A. | | CREDITOR AGENT ID | CHASUS33XXX | | CREDIT AMOUNT | 0.13 | | CREDIT CURRENCY | USD | | STATUS | PENDING | | SETTLEMENT METHOD | ACH | | PRN | XXXXXXXXXX | | REMITTANCE INFO | REMITTANCE INFORATION OF FIRST PAYMENT IN THE IDDT BATCH | | BATCH ID | fpG8pSFXf3 | | MATCHED REFERENCE ID | J2WKRU | | DDA NARRATIVE | REMITTANCE INFORATION OF FIRST PAYMENT IN THE IDDT BATCH | ### Notes Note the following points about PayInto Collection transactions. - You can only initiate one transaction per request. - PayInto Collection supports the following payment rails: - US ACH domestic - EU SEPA domestic ## Important parameters The following sections list important parameters in the PayInto Collection request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for PayInto Collection request** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | The type of the transaction. Set to PAYINTOCOLLECTION. | ### Body parameters Note the following important body parameters for PayInto Collection. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **PayInto Collection: groupHeader** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional, but recommended | Sum of the transaction amounts in this request. For EU SEPA transactions, the maximum is 999,999,999.99. | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | initiatingParty.identification.organisationIdentification.other.identification | Required | Your origin ID, which we provide to you when we set up your Wallet program. | | initiatingParty.identification.organisationIdentification.other.schemeName.proprietary | Required | Set to ORIGINID. | | initiatingParty.name | Conditionally required | Name of the initiating party (you). Maximum 140 characters. At least one parameter in initiatingParty is required. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "a3875956-84cc-4dde-8071-d501e585d851", "creationDateTime": "2023-10-12T12:38:23.000+0000", "numberOfTransactions": 1, "controlSum": 5, "initiatingParty": { "name": "JPMC Client Name", "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **PayInto Collection: paymentInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | numberOfTransactions | Optional | Total number of transactions in the batch. Must be 1. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to DD. For more information about payment methods, see [Payments - Payment methods](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#payment-methods). | | paymentTypeInformation.categoryPurpose.code | Optional | Purpose of the request. Must be an allowed value—see the API reference. | | paymentTypeInformation.categoryPurpose.proprietary | Optional | Purpose of the request. | | paymentTypeInformation.instructionPriority | Optional | Priority of the request. Must be one of the following: - HIGH: High priority. - NORM: Normal priority. | | paymentTypeInformation.localInstrument.code | Conditionally required | Standard Entry Class (SEC) code for the transaction. For more information about SEC codes, see [Payments - Standard Entry Class codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#standard-entry-class-codes). | | paymentTypeInformation.serviceLevel.code | Required | Service level code for the transaction. For US ACH transactions, set this to NURG; for EU SEPA transactions, set this to SEPA. For more information about service level codes, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedCollectionDate | Required | Date when Wallet collects the funds from the debtor. For US ACH transactions, must be between seven days before you send the request (T-7) and 90 days after you send the request (T+90). For EU SEPA transactions, must be between one day after you send the request (T+1) to 14 days after you send the request (T+14). The value must be in the following format: YYYY-MM-DD | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "USACHPPD_IDDT wo TP3SK231012083817", "numberOfTransactions": 1, "controlSum": 5, "paymentMethod": "DD", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "code": "NURG" }, "localInstrument": { "code": "PPD" }, "categoryPurpose": { "proprietary": "1ST PAYMENTS" } }, "requestedCollectionDate": "2023-10-12" } } ``` #### paymentInformation.creditor The paymentInformation.`creditor` object contains parameters related to the creditor (you). **PayInto Collection: paymentInformation.creditor** | Parameter | Required / Optional | Description | | --- | --- | --- | | identification.organisationIdentification.other.identification | Required | Your company ID, which we provide to you when we set up your Wallet program. | | identification.organisationIdentification.other.schemeName.proprietary | Required | Set to JPMCOID. | | name | Conditionally required | Name of the creditor. Maximum 140 characters. At least one parameter in creditor is required. | | postalAddress | Conditionally required | Postal address of the creditor. At least one parameter in creditor is required. | The following code snippet is an example of the paymentInformation.`creditor` object. ```json { "paymentInformation": { "creditor": { "name": "EWALLET RECEIVER", "postalAddress": { "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "CA", "addressLine": [ "LOT 394 PLURALSIGHT DRIVE", "FLOOR 10 NO 25" ] }, "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "JPMCOID" } } ] } } } } } ``` #### paymentInformation.creditorAccount The paymentInformation.`creditorAccount` object contains parameters related to the your Wallet DDA. **PayInto Collection: paymentInformation.creditorAccount** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Optional, but recommended | Must be USD for ACH transactions and EUR for SEPA transactions. | | identification.other.identification | Required | ID of your Wallet DDA. | | name | Optional, but recommended | Name of the Wallet DDA. Maximum 140 characters. | | type.code | Required | Set to CACC. | The following code snippet is an example of the paymentInformation.`creditorAccount` object. ```json { "paymentInformation": { "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD", "name": "JPMC Client Name" } } } ``` #### paymentInformation.creditorAgent The paymentInformation.`creditorAgent` object contains parameters related to your Wallet bank branch. **PayInto Collection: paymentInformation.creditorAgent** | Parameter | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | BIC of the branch where your Wallet DDA is located. Must be the same as the branch where the debited counterparty's DDA is located. For SEPA transactions, both the creditor and debtor bank branches must be LUXEMBOURG or LONDON. For US ACH transactions, you cannot use the BIC—you must use the ABA number instead. | | financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | Code for the clearing system for the credit transaction. For US ACH transactions, set this to USABA. For more information, see [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Clearing system member ID for the branch where your Wallet DDA is located. For US ACH transactions, set this to 028000024 (the J.P. Morgan Chase Bank, New York branch). | | financialInstitutionIdentification.postalAddress | Optional | Postal address of your Wallet bank branch. | The following code snippet is an example of the paymentInformation.`creditorAgent` object. ```json { "paymentInformation": { "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "country": "US", "addressLine": [ "83-85 CASTLEREAGH STREET", "FLOOR 10 85 CASTLEREAGH STREET" ] } } } } } ``` #### paymentInformation.directDebitTransactionInformation The paymentInformation.`directDebitTransactionInformation` object contains parameters related the direct debit transaction. **PayInto Collection: paymentInformation.directDebitTransactionInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | debtor.name | Conditionally required | Name of the debtor (the counterparty). Maximum 140 characters. At least one parameter in debtor is required. | | debtor.postalAddress | Conditionally required | Postal address of the debtor (the counterparty). At least one parameter in debtor is required. | | debtorAccount.currency | Optional, but recommended | Currency of the debited DDA in three-character ISO 4217 format. For ACH transactions, must be USD; for SEPA transactions, must be EUR. | | debtorAccount.identification.IBAN | Conditionally required | International Bank Account Number (IBAN) of the debtor bank account (the counterparty's bank account). Maximum 34 characters. Either this or debtorAccount.identification.other.identification is required. | | debtorAccount.identification.other.identification | Required | ID of the debited counterparty's DDA. | | debtorAccount.type.code | Required | Set to CACC. | | debtorAgent.financialInstitutionIdentification.bic | Required | BIC of the branch where the counterparty's DDA is located. Must be the same as the branch where your Wallet DDA is located. For SEPA transactions, both the creditor and debtor bank branches must be LUXEMBOURG or LONDON. | | debtorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Required | Code for the clearing system for the debit transaction. For more information, see [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | debtorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Required | Clearing system member ID for the branch where the debited counterparty's DDA is located. | | debtorAgent.financialInstitutionIdentification.postalAddress | Optional | Postal address of the debtor bank branch (the counterparty's bank branch). | | instructedAmount.amount | Required | Amount of money in the transaction. Maximum 18 digits with six decimal places. For SEPA transactions, maximum 999,999,999.99. | | instructedAmount.currency | Required | Currency of the funds being transferred in three-character ISO 4217 format. For ACH transactions, must be USD; for SEPA transactions, must be EUR. | | mandateRelatedInformation.amendmentInformationDetails.originalCreditorSchemeIdentification.name | Conditionally required | Original creditor name. Maximum 35 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentIndicator | Conditionally required | If there are changes in the mandate data, set to true. Otherwise, set to false. Required for SEPA transactions. | | mandateRelatedInformation.amendmentInformationDetails.originalCreditorSchemeIdentification.identification.privateIdentification.other.identification | Conditionally required | Original creditor ID. Must be 1-34 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentInformationDetails.originalCreditorSchemeIdentification.identification.privateIdentification.other.schemeName.proprietary | Conditionally required | Type of the original creditor ID. Must be 1-35 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentInformationDetails.originalDebtorAccount.identification.IBAN | Conditionally required | IBAN of the original debtor account. Maximum 34 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentInformationDetails.originalDebtorAccount.identification.other.identification | Conditionally required | Account number of the original debtor account. Maximum 34 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentInformationDetails.originalDebtorAgent.financialInstitutionIdentification.bic | Conditionally required | SWIFT BIC of the bank branch where the debtor account was originally located. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.amendmentInformationDetails.OriginalMandateIdentification | Conditionally required | Original mandate ID for SEPA IDDT transactions. Maximum 35 characters. Required if paymentInformation.directDebitTransactionInformation.mandateRelatedInformation.amendmentIndicator is true. | | mandateRelatedInformation.dateOfSignature | Conditionally required | Date that the mandate was signed in YYYY-MM-DD format. Required for SEPA IDDT transactions. | | mandateRelatedInformation.electronicSignature | Conditionally required | Maximum 1,025 characters. Required for SEPA IDDT transactions. | | mandateRelatedInformation.mandateIdentification | Conditionally required | Mandate ID. Maximum 35 characters. Required for SEPA IDDT transactions. | | mandateRelatedInformation.sequenceType.type | Conditionally required | Type of the payment. Can be affected by mandate amendments. Required for SEPA IDDT transactions. Must be one of the following values: - FNAL - FRST - OOFF - RCUR | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | paymentIdentification.instructionIdentification | Optional | Unique ID of the request. Maximum 35 characters. | | remittanceInformation.unstructured | Optional | Remittance information. Maximum 140 characters. | | ultimateCreditor.identification.organisationIdentification.other.identification | Required | ID of the VTA in your Wallet program to credit. | | ultimateCreditor.identification.organisationIdentification.other.schemeName.proprietary | Required | Set to virtualAccountIdentification. | | ultimateCreditor.name | Optional | Name of the ultimate creditor. Maximum 140 characters. | | ultimateCreditor.postalAddress | Optional | Postal address of the ultimate creditor. | The following code snippet is an example of the paymentInformation.`directDebitTransactionInformation` object. ```json { "paymentInformation": { "directDebitTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "XXXXXXXXXXXXXX", "endToEndIdentification": "XXXXXXXXXXXXXX" }, "remittanceInformation": { "unstructured": [ "REMITTANCE INFORATION OF FIRST PAYMENT IN THE IDDT BATCH" ] }, "instructedAmount": { "amount": 5, "currency": "USD" }, "ultimateCreditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "addressType": "ADDR", "country": "US", "addressLine": [ "456 Street Name" ] } } }, "debtor": { "name": "Debtor Name", "postalAddress": { "addressType": "ADDR", "streetName": "Main Street", "buildingNumber": "111", "postCode": "1234", "townName": "Phoenixville", "countrySubDivision": "PA", "country": "US", "addressLine": [ "456 Street Name" ] } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD" } } ] } } ``` ## Examples ### Request with minimum required data (non-TP3) The following example request initiates a PayInto Collection transaction from a counterparty's DDA to a Wallet VTA using the minimum required parameters. ```json { "groupHeader": { "messageIdentification": "a3875956-84cc-4dde-8071-d501e585d851", "creationDateTime": "2023-10-12T12:38:23.000+0000", "numberOfTransactions": 1, "initiatingParty": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } }, "paymentInformation": { "paymentInformationIdentification": "USACHPPD_IDDT wo TP3SK231012083817", "paymentMethod": "DD", "paymentTypeInformation": { "serviceLevel": { "code": "NURG" }, "localInstrument": { "code": "PPD" } }, "requestedCollectionDate": "2023-10-12", "creditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "JPMCOID" } } ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "type": { "code": "CACC" } }, "creditorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" } } }, "directDebitTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "XXXXXXXXXXXXXX" }, "instructedAmount": { "amount": 5, "currency": "USD" }, "ultimateCreditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAgent": { "financialInstitutionIdentification": { "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" } } }, "debtor": { "name": "Debtor Name" }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXX" } }, "type": { "code": "CACC" } } } ] } } ``` ### Request with optional data The following example request initiates a PayInto Collection transaction from a counterparty's DDA to a Wallet VTA with optional parameters. ```json { "groupHeader": { "messageIdentification": "a3875956-84cc-4dde-8071-d501e585d851", "creationDateTime": "2023-10-12T12:38:23.000+0000", "numberOfTransactions": 1, "controlSum": 5, "initiatingParty": { "name": "JPMC Client Name", "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } }, "paymentInformation": { "paymentInformationIdentification": "USACHPPD_IDDT wo TP3SK231012083817", "numberOfTransactions": 1, "controlSum": 5, "paymentMethod": "DD", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "code": "NURG" }, "localInstrument": { "code": "PPD" }, "categoryPurpose": { "proprietary": "1ST PAYMENTS" } }, "requestedCollectionDate": "2023-10-12", "creditor": { "name": "EWALLET RECEIVER", "postalAddress": { "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "CA", "addressLine": [ "LOT 394 PLURALSIGHT DRIVE", "FLOOR 10 NO 25" ] }, "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "JPMCOID" } } ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD", "name": "JPMC Client Name" }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "country": "US", "addressLine": [ "83-85 CASTLEREAGH STREET", "FLOOR 10 85 CASTLEREAGH STREET" ] } } }, "directDebitTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "XXXXXXXXXXXXXX", "endToEndIdentification": "XXXXXXXXXXXXXX" }, "remittanceInformation": { "unstructured": [ "REMITTANCE INFORATION OF FIRST PAYMENT IN THE IDDT BATCH" ] }, "instructedAmount": { "amount": 5, "currency": "USD" }, "ultimateCreditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "addressType": "ADDR", "country": "US", "addressLine": [ "456 Street Name" ] } } }, "debtor": { "name": "Debtor Name", "postalAddress": { "addressType": "ADDR", "streetName": "Main Street", "buildingNumber": "111", "postCode": "1234", "townName": "Phoenixville", "countrySubDivision": "PA", "country": "US", "addressLine": [ "456 Street Name" ] } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD" } } ] } } ``` ### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "a3875956-84cc-4dde-8071-d501e585d851", "creationDateTime": "2023-10-12T12:38:23.000+0000", "initiatingParty": { "name": "JPMC Client Name", "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "XXXXXXXXXXXXXX", "originalMessageNameIdentification": "API-PAYINTOCOLLECTION", "originalCreationDateTime": "2023-10-12T12:38:17.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 5, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 5 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "USACHPPD_IDDT wo TP3SK231012083817", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 5 } ], "transactionInformationAndStatus": [ { "originalInstructionIdentification": "XXXXXXXXXXXXXX", "originalEndToEndIdentification": "XXXXXXXXXXXXXX", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-10-12T12:38:23.491+0000", "accountServicerReference": "24ba41fa-0f1e-4c74-9732-84820f0f4ebd", "originalTransactionReference": { "instructedAmount": { "amount": 5, "currency": "USD" }, "requestedCollectionDate": "2023-10-12", "paymentMethod": "DD", "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "addressType": "ADDR", "country": "US", "addressLine": [ "456 Street Name" ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "country": "US", "addressLine": [ "83-85 CASTLEREAGH STREET", "FLOOR 10 85 CASTLEREAGH STREET" ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "USD", "name": "JPMC Client Name" }, "ultimateCreditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } } } } ] } } ``` ### Notification The following is the asynchronous notification that Wallet sends after completing the previous example request. ```json { "groupHeader": { "messageIdentification": "4f270fa0-6d9b-4ede-b3ad-4b3cccb3f17e", "creationDateTime": "2023-10-12T14:38:33.381+0000", "initiatingParty": { "name": "JPMC Client Name", "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "XXXXXXXXXXXXXX", "originalMessageNameIdentification": "API-PAYINTOCOLLECTION", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "USACHPPD_IDDT wo TP3SK231012083817", "transactionInformationAndStatus": [ { "originalInstructionIdentification": "XXXXXXXXXXXXXX", "originalEndToEndIdentification": "XXXXXXXXXXXXXX", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete", "/POSTED-BALANCE:ultimateCreditor:ACCOUNT-TYPE/TRANSACTION", "/POSTED-BALANCE:ultimateCreditor:VERSION/5", "/POSTED-BALANCE:ultimateCreditor:ITBD/899634400.86420", "/POSTED-BALANCE:ultimateCreditor:ITAV/898478820.49420", "/POSTED-BALANCE:ultimateCreditor:XPCD/899634506.71420", "/POSTED-BALANCE:ultimateCreditor:EFFECTIVE-DATE/2023-10-12", "/POSTED-BALANCE:ultimateCreditor:TIMESTAMP/2023-10-12T14:38:28.149+00:00" ] } ], "acceptanceDateTime": "2023-10-12T12:38:27.865+0000", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 5, "currency": "USD" } }, "paymentTypeInformation": { "localInstrument": { "code": "PPD" } }, "requestedExecutionDate": "2023-10-12", "paymentMethod": "DD", "remittanceInformation": [ { "remittanceInformationText": "REMITTANCE INFORATION OF FIRST PAYMENT IN THE IDDT BATCH", "remittanceSequenceNumber": "1" } ], "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "postalAddress": { "country": "US", "addressLine": [ "XXXXXXXXXXXXXXX" ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "XXXXXXXXXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "XXXXXXXXX" }, "postalAddress": { "country": "US", "addressLine": [ "XXXXXXXXXXXXXXXXXXXXXXXX", "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX" ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "ultimateCreditor": { "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXX", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "receiver": { "name": "XXXXXXXXXXXXXXXX", "postalAddress": { "streetName": "XXXXXXXXXXX", "buildingNumber": "XXX", "postCode": "19460", "townName": "Phoenixville", "country": "CA", "addressLine": [ "XXXXXXXXXXXXXXXXXXXXXXXXX", "XXXXXXXXXXXXXX" ] }, "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXXXXXXXXXXX", "schemeName": { "proprietary": "TxnType" } }, { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "ProgramID" } }, { "identification": "XXXXXXXXXX", "schemeName": { "proprietary": "JPMCOID" } } ] } } } } } ] } } ``` ## SEPA Issued Direct Debit Transfer PayInto Collection transactions in the EU use the SEPA payment rail and have different requirements from PayInto Collection transactions in other countries. Requirements for relevant fields are described in [Body parameters](#body-parameters), and further details are described in the following sections. ### Mandate Before you can execute a SEPA PayInto Collection transaction, the counterparty must sign a mandate document allowing you to execute a direct debit on their account. You are responsible for securing and storing the mandate document; we take no responsibility for this process. The debtor bank or debtor must also store the mandate document. You must provide information about this mandate in the directDebitTransactionInformation.`mandateRelatedInformation` object, whose fields are described in the previous [Body parameters](#body-parameters) section. If you make changes to the mandate information, you must set `"amendmentIndicator": true` and provide the original mandate information in the `amendmentInformationDetails` object so Wallet can tie the updated mandate information to the original mandate. ### Other notes - Rejections/refunds: Debtors can request unconditional refunds up to eight weeks after settlement, and unauthorized transactions can be rejected up to 13 weeks after settlement. The debtor's bank can "Reject" or "Refuse" the transaction before settlement. - Availability: Transactions are processed during bank branch hours set by the European Payments Council (EPC). ### Example request The following example request initiates a PayInto Collection transaction between two accounts in the EU. ```json { "groupHeader": { "messageIdentification": "MID_297", "creationDateTime": "2024-12-10T18:12:55.626+00:00", "numberOfTransactions": 1, "controlSum": 2.75, "initiatingParty": { "name": "eWALLET", "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXX", "schemeName": { "proprietary": "ORIGINID" } } ] } } } }, "paymentInformation": { "paymentInformationIdentification": "PI_74", "numberOfTransactions": 1, "controlSum": 2.75, "paymentMethod": "DD", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "code": "SEPA" }, "localInstrument": { "code": "CORE" }, "categoryPurpose": { "code": "EPAY" } }, "requestedCollectionDate": "2025-09-02", "creditor": { "name": "EWALLET RECEIVER", "postalAddress": { "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "GB", "addressLine": [ "LOT 394 PLURALSIGHT DRIVE", "FLOOR 10 NO 25" ] }, "identification": { "organisationIdentification": { "other": [ { "identification": "XXXXXXXX", "schemeName": { "proprietary": "JPMCOID" } } ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXX" } }, "type": { "code": "CACC" }, "currency": "EUR", "name": "HERBLIFE_FXACH_PAYOUT" }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASIE4LXXX", "postalAddress": { "country": "IE", "addressLine": [ "83-85 CASTLEREAGH STREET", "FLOOR 10 85 CASTLEREAGH STREET" ] } } }, "directDebitTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "ID_522", "endToEndIdentification": "E2EIDIDDT660" }, "remittanceInformation": { "unstructured": [ "VALID SEPA IDDT LUX WITH COID" ] }, "instructedAmount": { "amount": 2.75, "currency": "EUR" }, "ultimateCreditor": { "name": "TEST", "postalAddress": { "streetName": "ultimatecreditorstreetName", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "countrySubDivision": "ultimatecreditorcountrysubdiv", "country": "IE" }, "identification": { "organisationIdentification": { "other": [ { "identification": "VTAIDDT", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "addressType": "ADDR", "country": "US", "addressLine": [ "456 Street Name" ] } } }, "debtor": { "name": "HERBLIFE", "postalAddress": { "addressType": "ADDR", "streetName": "Main Street", "buildingNumber": "111", "postCode": "1234", "townName": "Phoenixville", "countrySubDivision": "PA", "country": "US", "addressLine": [ "456 Street Name" ] } }, "debtorAccount": { "identification": { "iban": "XXXXXXXX" }, "currency": "EUR" }, "mandateRelatedInformation": { "mandateIdentification": "1234556gg", "dateOfSignature": "2024-12-10", "amendmentIndicator": true, "sequenceType": { "type": "FNAL" }, "electronicSignature": "electronicSignature265hb83n", "amendmentInformationDetails": { "originalCreditorSchemeIdentification": { "name": "nameCreditor", "identification": { "privateIdentification": { "other": [ { "identification": "XXXXXXXX", "schemeName": { "proprietary": "proprietary-4" } } ] } } }, "originalDebtorAccount": { "identification": { "iban": "XXXXXXXX", "other": { "identification": "XXXXXXXX" } } }, "originalDebtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX" } } } } } ] } } ```